Establishments

Establishments

GET /establishments/[establishmentId]

Retrieves details for a specific establishment by its ID. Useful for loading configuration, display information, and branding assets.

Endpoint

GET/establishments/{establishmentId}

Parameters

AttributeDescriptionTypeLocationRequired
establishmentIdstringpathYes

Responses

200

Establishment retrieved successfully.

{
  "establishmentId": "00000000-0000-0000-0000-000000000000",
  "defaultCurrency": "string",
  "description": "string",
  "email": "name@example.com",
  "location": "string",
  "monthlyAllocatedCoins": 0,
  "name": "string",
  "paymentPlanId": "00000000-0000-0000-0000-000000000000",
  "status": "string",
  "totalAvailableCoins": 0,
  "imageUrl": "https://example.com",
  "thumbnailUrl": "https://example.com",
  "isIntegration": false,
  "style": {
    "backgroundPrimary": "string",
    "foregroundPrimary": "string",
    "backgroundSecondary": "string",
    "foregroundSecondary": "string",
    "backgroundSidebarPrimary": "string",
    "backgroundSidebarSecondary": "string",
    "marketplaceBackground": "string",
    "marketplaceForegroundPrimary": "string",
    "marketplaceForegroundSecondary": "string",
    "marketplaceBackgroundCard": "string",
    "marketplaceForegroundCardPrimary": "string",
    "marketplaceForegroundCardSecondary": "string",
    "marketplaceForegroundCardTertiary": "string",
    "font": "string"
  }
}
AttributeTypeRequiredDescription
establishmentIdstring(uuid)No
defaultCurrencystringNo
descriptionstringNo
emailstring(email)No
locationstringNo
monthlyAllocatedCoinsintegerNo
namestringNo
paymentPlanIdstring(uuid)No
statusstringNo
totalAvailableCoinsintegerNo
imageUrlstring(uri)No
thumbnailUrlstring(uri)No
isIntegrationbooleanNo
styleobjectNo
style.backgroundPrimarystringNo
style.foregroundPrimarystringNo
style.backgroundSecondarystringNo
style.foregroundSecondarystringNo
style.backgroundSidebarPrimarystringNo
style.backgroundSidebarSecondarystringNo
style.marketplaceBackgroundstringNo
style.marketplaceForegroundPrimarystringNo
style.marketplaceForegroundSecondarystringNo
style.marketplaceBackgroundCardstringNo
style.marketplaceForegroundCardPrimarystringNo
style.marketplaceForegroundCardSecondarystringNo
style.marketplaceForegroundCardTertiarystringNo
style.fontstringNo

400

Invalid establishment ID format.

404

Establishment not found.

500

Internal error while retrieving the establishment.

PUT /establishments/[establishmentId]

Updates the configuration for a specific establishment including branding, location, coin ratio, visual appearance settings, and more.

Endpoint

PUT/establishments/{establishmentId}

Request Body

{
  "name": "string",
  "email": "string",
  "imageUrl": "string",
  "thumbnailUrl": "string",
  "description": "string",
  "location": "string",
  "defaultCurrency": "string",
  "coinRatio": 0,
  "status": "string",
  "parentCasinoId": "string",
  "accountManagerId": "string",
  "backgroundPrimary": "string",
  "foregroundPrimary": "string",
  "backgroundSecondary": "string",
  "foregroundSecondary": "string",
  "backgroundSidebarPrimary": "string",
  "backgroundSidebarSecondary": "string",
  "marketplaceBackground": "string",
  "marketplaceForegroundPrimary": "string",
  "marketplaceForegroundSecondary": "string",
  "marketplaceBackgroundCard": "string",
  "marketplaceForegroundCardPrimary": "string",
  "marketplaceForegroundCardSecondary": "string",
  "marketplaceForegroundCardTertiary": "string",
  "font": "string",
  "locale": "string"
}
AttributeTypeRequiredDescription
namestringYes
emailstringYes
imageUrlstringYes
thumbnailUrlstringYes
descriptionstringYes
locationstringYes
defaultCurrencystringYes
coinRatiointegerNo
statusstringYes
parentCasinoIdstringNo
accountManagerIdstringNo
backgroundPrimarystringNo
foregroundPrimarystringNo
backgroundSecondarystringNo
foregroundSecondarystringNo
backgroundSidebarPrimarystringNo
backgroundSidebarSecondarystringNo
marketplaceBackgroundstringNo
marketplaceForegroundPrimarystringNo
marketplaceForegroundSecondarystringNo
marketplaceBackgroundCardstringNo
marketplaceForegroundCardPrimarystringNo
marketplaceForegroundCardSecondarystringNo
marketplaceForegroundCardTertiarystringNo
fontstringNo
localestringYes

Parameters

AttributeDescriptionTypeLocationRequired
establishmentIdstringpathYes

Responses

200

Establishment updated successfully.

{
  "$metadata": {
    "httpStatusCode": 200,
    "requestId": "string",
    "attempts": 0,
    "totalRetryDelay": 0
  },
  "Attributes": {
    "imageUrl": "https://example.com",
    "location": "string",
    "monthlyAllocatedCoins": 0,
    "defaultCurrency": "string",
    "status": "string",
    "thumbnailUrl": "https://example.com",
    "description": "string",
    "email": "name@example.com",
    "paymentPlanId": "00000000-0000-0000-0000-000000000000",
    "name": "string"
  }
}
AttributeTypeRequiredDescription
$metadataobjectNo
$metadata.httpStatusCodeintegerNo
$metadata.requestIdstringNo
$metadata.attemptsintegerNo
$metadata.totalRetryDelayintegerNo
AttributesobjectNo
Attributes.imageUrlstring(uri)No
Attributes.locationstringNo
Attributes.monthlyAllocatedCoinsintegerNo
Attributes.defaultCurrencystringNo
Attributes.statusstringNo
Attributes.thumbnailUrlstring(uri)No
Attributes.descriptionstringNo
Attributes.emailstring(email)No
Attributes.paymentPlanIdstring(uuid)No
Attributes.namestringNo

400

Invalid or incomplete update data.

500

Failed to update establishment due to internal error.